package cn.sikey.mcdisk.service;

import cn.sikey.mcdisk.controller.app.wristwatch.vo.DeleteContentsReqVO;
import cn.sikey.mcdisk.controller.app.wristwatch.vo.GetFileUploadURLReqVO;
import cn.sikey.mcdisk.pojo.McdiskResult;

/**
 * @Author: nelson
 * @Date: 2025/5/29
 * @Description: 家庭云
 */
public interface FamilyCloudService {

    McdiskResult createFamilyCloud(String cloudName, Integer accountType, String ticket, String accessToken);

    McdiskResult createCloudPhoto(String cloudID, Integer theme, String photoName, String ticket, String accessToken);

    McdiskResult getFileUploadURL(GetFileUploadURLReqVO getFileUploadURLReqVO, String accessToken);

    McdiskResult deleteContents(DeleteContentsReqVO deleteContentsReqVO, String accessToken);
}
